<?php

//force display-name of users to Firstname Lastname
add_action('admin_head','force_pretty_displaynames');
function force_pretty_displaynames() {
	if (is_admin()) {
	   $current_user = wp_get_current_user();
	   if ($current_user->display_name != $current_user->first_name." ".$current_user->last_name) update_user_meta($current_user->ID, 'display_name', $current_user->first_name." ".$current_user->last_name);
	   echo '<style type="text/css">form#your-profile label[for="display_name"], form#your-profile select#display_name   { display:none;}</style>';
	}
}


//remove the default password nag message

function remove_default_password_nag() {

global $user_ID;

delete_user_setting('default_password_nag', $user_ID);

update_user_option($user_ID, 'default_password_nag', false, true);

}

add_action('admin_init', 'remove_default_password_nag');



//set the header image height

define( 'HEADER_IMAGE_HEIGHT', 200);


//limit image sizes to "Large size" under Settings>Media

add_filter('wp_generate_attachment_metadata','replace_uploaded_image');

	/* limits image size to large setting */

function replace_uploaded_image($image_data) {



    if (!isset($image_data['sizes']['large'])) return $image_data;



    // paths to the uploaded image and the large image

    $upload_dir = wp_upload_dir();

    $uploaded_image_location = $upload_dir['basedir'] . '/' .$image_data['file'];

    $large_image_location = $upload_dir['path'] . '/'.$image_data['sizes']['large']['file'];



    // delete the uploaded image

    unlink($uploaded_image_location);



    // rename the large image

    rename($large_image_location,$uploaded_image_location);



    // update image metadata and return them

    $image_data['width'] = $image_data['sizes']['large']['width'];

    $image_data['height'] = $image_data['sizes']['large']['height'];

    unset($image_data['sizes']['large']);



    return $image_data;

}





?>